<?php

/**
 * KataoOrder form.
 *
 * @package form
 * @subpackage katao_order
 * @version SVN: $Id: sfPropelFormTemplate.php 6174 2007-11-27 06:22:40Z fabien $
 */
class KataoOrderForm extends BaseKataoOrderForm {
    public function configure() {
		unset($this->validatorSchema['created_at'], $this->validatorSchema['updated_at']);
        unset($this->widgetSchema['created_at'], $this->widgetSchema['updated_at']);

        $this->widgetSchema['katao_supplier_id'] = new sfWidgetFormSelect(array('choices' => KataoSupplierPeer::getAllSimple()));
        $this->widgetSchema['status'] = new sfWidgetFormSelect(array('choices' => KataoOrderPeer::getAllStatuses()));

        $this->widgetSchema->setLabels(array(
                'katao_supplier_id' => 'Fournisseur',
                'status' => 'Etat',
                ));
    }
}